Xampp einfach drüber?

Dieses Thema im Forum "Web-Programmierung" wurde erstellt von Kaito, 10.10.2006.

  1. Kaito

    Kaito Thread Starter MacUser Mitglied

    Beiträge:
    5.183
    Zustimmungen:
    563
    MacUser seit:
    31.12.2005
    Tag,
    bei mir läuft ja seit ich den Comp. hat ein Apache usw. und alles wird gezeigt wenn ich das in den Ordner "Web-Sites" tu.
    Aber (PHP usw.) alle Versionen sind schon älter, kann ich vllt. Xampp einfach drüber klatschen? Oder muss ich vorher das alte deaktivieren? Und kann ich dann weiterhin alles sehen wenn ich es im Web-Sites Ordner abgelegt habe?
     
  2. wegus

    wegus MacUser Mitglied

    Beiträge:
    15.042
    Zustimmungen:
    1.317
    MacUser seit:
    13.09.2004
    Der einfachste Weg Dinge außer Betrieb zu nehmen ist "einfach irgendwas irgendwo drüberzuklatschen um irgendwas zu machen" !

    Für alles Andere empfiehlt es sich zu "wissen" was man tut!

    Der Web-Ordner ist Bestandteil Deines Apache! Sowas läßt sich in jeder Konfiguration eines Apache-Webserver eintragen ( wenn man weiß wie). Schau Dir dazu mal die Einträge in

    /etc/httpd/users/* an, da steht der betreffende Code für jeden user

    Generell kannst Du auch den bestehenden Apache nehmen und ihm eines der neuen PHP-Module überhelfen. Such mal in der /etc/httpd/httpd.conf nach PHP und Du findest die Zeilen mit denen PHP4 aktiviert wurde. Ähnliches geht mit jeder libphp5.so (also PHP5) jederzeit genauso. Alternativ kannst Du die Pakete von entropy.ch verwenden, die installieren Dir ein PHP5 direkt on the fly und nehmen alle Änderungen für Dich vor.

    Natürlich kannst Du auch einen MAMP installieren, dafür mußt Du aber den Mac OS Apache ( und somit die personal Folder) anhalten und Dir in Deinem MAMP solche Folder bauen, wenn Du sie denn brauchst (generell ist ein MAMP ja ein Webserver/PHP/mysql für einen user, eben zur Entwicklung)
     
  3. Kaito

    Kaito Thread Starter MacUser Mitglied

    Beiträge:
    5.183
    Zustimmungen:
    563
    MacUser seit:
    31.12.2005
    PHP 5.x konnt ich auch einfach nur drüberhauen (war sogar so beschreiben)...

    Egal, hab mir eben kurz die neueste MySQL und PHP Version geholt - fertig, trotzdem thx4help.
     
  4. wegus

    wegus MacUser Mitglied

    Beiträge:
    15.042
    Zustimmungen:
    1.317
    MacUser seit:
    13.09.2004
    was ja dann kein "drüberklatschen" mehr ist :)
     
Die Seite wird geladen...